Taro 更新最新的 typescript 后,仍不支持 optional chaining 的写法?



  • 使用官方的 template,版本信息:
    Taro v2.0.7
    typescript v3.8.1

    将 typescript 升级到最新后,使用 optional chaining 的语法 a?.b 编译报错 Unexpected token

    报错来源:./node_modules/_@tarojs_mini-runner@2.0.7@@tarojs/mini-runner/dist/loaders/wxTransformerLoader.js

    typescript 在 v3.7 就内置支持 optional chaining,不太明白为什么在 taro 里编译会报错,请问有人可以帮忙看一下吗?☺


登录后回复